<p>Make sure to copy the wallet addresses exactly when making your donation, as we cannot recover funds sent to the wrong wallet. If you have any questions, please email us at giving@torproject.org.</p>
  <ul class="accordion" id="cryptoAccordion">
    {% for ticker_symbol,  (wallet_name, address) in crypto_wallets.items() %}
      <li class="accordion-item">
        <div class="accordion-header">
          <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ ticker_symbol }}" aria-expanded="true" aria-controls="collapse{{ ticker_symbol }}">
            <div class="btn btn-primary me-2">{{ ticker_symbol }}</div>
            <small>{{ wallet_name }}</small>
          </button>
        </div>
        <div id="collapse{{ ticker_symbol }}" class="accordion-collapse collapse" data-bs-parent="#cryptoAccordion">
          <div class="accordion-body">
            <div class="input-group mb-3">
                <input type="text" class="form-control small currencyAddress" aria-label="readonly" aria-describedby="basic-addon{{ ticker_symbol }}" readonly value="{{ address }}" />
                <span class="input-group-text currencyAddress--copy" id="basic-addon{{ ticker_symbol }}"><i class="icon-copy"></i></span>
                <a href="/static/images/qr/qr-{{ ticker_symbol|lower }}.png" class="currencyAddress--openModal" data-bs-toggle="modal" data-bs-target="#qrModal-{{wallet_name | replace(' ', '_')}}"><i class="icon-qr-code"></i></a>
            </div>
          </div>
        </div>
      </li>
    {% endfor %}
  </ul>

{% for ticker_symbol,  (wallet_name, address) in crypto_wallets.items() %}
  <div class="modal" id="qrModal-{{wallet_name | replace(' ', '_')}}" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h4>{{ wallet_name }}</h4>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <img src="/static/images/qr/qr-{{ ticker_symbol|lower }}.png" />
        </div>
      </div>
    </div>
  </div>
{% endfor %}